AM261x MCU+ SDK: cb_socket_lldcfg_update_t Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
cb_socket_lldcfg_update_t Struct Reference
APIs for combase Binding » TI ENET LLD ethernet specific

## Detailed Description

Structure representing the cb_socket_lldcfg_update instance.

## Data Fields
const char * | dev
uint16_t | proto
uint16_t | vlanid
uint32_t | nTxPkts
uint32_t | nRxPkts [MAX_NUM_RX_DMA_CH_PER_INSTANCE]
uint32_t | pktSize
int | dmaTxChId
int | dmaRxChId [MAX_NUM_RX_DMA_CH_PER_INSTANCE]
int | dmaTxShared
int | dmaRxShared
int | dmaRxOwner
void(* | rxDefaultDataCb )(void *data, int size, int port, void *cbArg)
void * | rxDefaultCbArg
int | numRxChannels

## Field Documentation

## ◆ dev

const char* cb_socket_lldcfg_update_t::dev

Device name to match the expected socket.

## ◆ proto

uint16_t cb_socket_lldcfg_update_t::proto

Protocol or ethernet type in the ethernet frame header to match the expected socket.

## ◆ vlanid

uint16_t cb_socket_lldcfg_update_t::vlanid

VLAN ID to match the expected socket.

## ◆ nTxPkts

uint32_t cb_socket_lldcfg_update_t::nTxPkts

Number of buffers allocated for transmit packets Positive value will be updated to LLDEnetCfg_t.

## ◆ nRxPkts

uint32_t cb_socket_lldcfg_update_t::nRxPkts[MAX_NUM_RX_DMA_CH_PER_INSTANCE]

Number of buffers allocated for receive packets Positive value will be updated to LLDEnetCfg_t.

## ◆ pktSize

uint32_t cb_socket_lldcfg_update_t::pktSize

Transmit and receive maximum packet size. Positive value will be updated to LLDEnetCfg_t.

## ◆ dmaTxChId

int cb_socket_lldcfg_update_t::dmaTxChId

DMA transmit channel ID. 0 or positive value will be updated to LLDEnetCfg_t

## ◆ dmaRxChId

int cb_socket_lldcfg_update_t::dmaRxChId[MAX_NUM_RX_DMA_CH_PER_INSTANCE]

DMA receive channel ID. 0 or positive value will be updated to LLDEnetCfg_t

## ◆ dmaTxShared

int cb_socket_lldcfg_update_t::dmaTxShared

Only Sitara support this param. >0: the dmaTxChId is shared between apps; 0: not shared 0 or positive value will be updated to LLDEnetCfg_t

## ◆ dmaRxShared

int cb_socket_lldcfg_update_t::dmaRxShared

Only Sitara AM273x support this param. >0: the dmaRxChId is shared between apps; 0: not shared 0 or positive value will be updated to LLDEnetCfg_t

## ◆ dmaRxOwner

int cb_socket_lldcfg_update_t::dmaRxOwner

Only Sitara AM273x support this param. >0: the socket owns this RX DMA channel; 0: not own 0 or positive value will be updated to LLDEnetCfg_t

## ◆ rxDefaultDataCb

void(* cb_socket_lldcfg_update_t::rxDefaultDataCb) (void *data, int size, int port, void *cbArg)

Only Sitara AM273x support this param. Default RX data callback when there is no matching RX filter.

## ◆ rxDefaultCbArg

void* cb_socket_lldcfg_update_t::rxDefaultCbArg

Only Sitara AM273x support this param. Default RX data callback arg

## ◆ numRxChannels

int cb_socket_lldcfg_update_t::numRxChannels

Number of Rx DMA channels, only ICSSG peripheral has more than 1 Rx DMA channels.